using System;
using System.Drawing;
using System.Runtime.InteropServices;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;

namespace Util
   {
   public class MyUtils
      {
      public static string[] EnumComPorts()
         {
         return System.IO.Ports.SerialPort.GetPortNames();
         }
      public static void MessageError(string vsMessage)
         {
         MessageBox.Show(vsMessage, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error);
         return;
         }
      public static void MessageWarning(string vsMessage)
         {
         MessageBox.Show(vsMessage, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Warning);
         return;
         }
      public static void MessageInfo(string vsMessage)
         {
         MessageBox.Show(vsMessage, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Information);
         return;
         }
      public static DialogResult MessageQuestion(string vsMessage)
         {
         return MessageBox.Show(vsMessage, Application.ProductName, MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button2);
         }
      }
   }